nach Upgrade V1.5.2 kein eAccelerator

Irgendwelche Probleme mit XAMPP für Linux? Dann ist hier genau der richtige Ort um nachzufragen.

nach Upgrade V1.5.2 kein eAccelerator

Postby ancoma » 27. April 2006 19:25

Hallo,
ich habe soeben ein Upgrade auf 1.5.2 gemacht, da ich eh schon dabei war dachte ich mir, "schalste mal den eacceelerator an" tha, Pech.. hab alle so gemacht wie in den FAQ.. aber ich bekomme die untenstehende Fehlermedlung..

PHP Warning: PHP Startup: Unable to load dynamic library '/opt/lampp/lib/php/extensions/no-debug-non-zts-20050922/eaccelerator.so' - /opt/lampp/lib/php/extensions/no-debug-non-zts-20050922/eaccelerator.so: cannot open shared object file: No such file or directory in Unknown on line 0

warum kann er die Datei nicht öffnen? Zugriffsrechte müßten doch stimmen da hab ich nichts geändert...

Hat jemand Erfahrung damit?

hmmhh.. hab gerade nachgeschaut, due Datei "eaccelerator.so" gibt es nicht in dem Verzeichnis,... und nu? woher nehmen?

Gruß,
Jens
ancoma
 
Posts: 26
Joined: 14. March 2006 21:51
Location: Freiburg

Postby semtex » 27. April 2006 20:25

hast du das librarie in keinem verzeichnis, was für einen call hast du denn in der php.ini ?
semtex
 
Posts: 57
Joined: 12. April 2006 16:41

eaccelerator

Postby ancoma » 27. April 2006 20:46

hallo semtex,
folgendes steht in der php.ini


extension="eaccelerator.so"
eaccelerator.shm_size="16"
eaccelerator.cache_dir="/opt/lampp/tmp/eaccelerator"
eaccelerator.enable="1"
eaccelerator.optimizer="1"
eaccelerator.check_mtime="1"
eaccelerator.debug="0"
eaccelerator.filter=""
eaccelerator.shm_max="0"
eaccelerator.shm_ttl="0"
eaccelerator.shm_prune_period="0"
eaccelerator.shm_only="0"
eaccelerator.compress="1"
eaccelerator.compress_level="9"


(das meintest Du doch mit call, oder :?: )

THX
ancoma
 
Posts: 26
Joined: 14. March 2006 21:51
Location: Freiburg

hmmhhh...

Postby ancoma » 27. April 2006 20:58

weiß jemand von Euch ob es sein kann das bei allen die PHP5 aktiviert haben der eacclerator nicht geht? denn wenn ich mir mal das aktuelle .tar.gz file genauer anschaue dann stelle ich fest die Datei "eaccelerator.so" fehlt tatsächlich... und demnach dürfte der eaccelerator ja bei niemanden funktionieren, oder :roll: :?:

Bitte schenkt mir die :idea: nein nicht Glühbirne ...Erleuchtung..

THX
Jens
ancoma
 
Posts: 26
Joined: 14. March 2006 21:51
Location: Freiburg

Postby semtex » 27. April 2006 21:29

schau mal hier : http://sourceforge.net/project/showfile ... _id=122249 dort ist das aktuelle paket !

suche doch mal die datei auf deiner platte, sie muss doch in einem verzeichnis liegen !
eventuell hast du die windows version .dll :lol:

dann gibt auch den relativen pfad in der php.ini "extension" an..
semtex
 
Posts: 57
Joined: 12. April 2006 16:41

Windows :-)

Postby ancoma » 27. April 2006 21:40

nö nö kein Windows, Datei liegt in
\lampp\lib\php\extensions\no-debug-non-zts-20020429

aber ist das nicht ne ältere version?

Gruß,
Jens
ancoma
 
Posts: 26
Joined: 14. March 2006 21:51
Location: Freiburg

Postby semtex » 27. April 2006 22:25

war nur ein witz mit windows ?

das ist eigentlich schon richtig, sie muss unter :lampp\lib\php\extensions\no-debug-non-zts-20020429 liegen

falls du interesse hast, hier mal die passende datei :
http://two2.tw.funpic.de/eaccelerator.zip
semtex
 
Posts: 57
Joined: 12. April 2006 16:41

neuer Fehler...........

Postby ancoma » 28. April 2006 05:47

hmhh........ jetzt bringt er den nächsten fehler, habe sie .so in das Verzeichnis /opt/lampp/lib/php/extensions/no-debug-non-zts-20050922
geschoben... aber beim start von Xampp bringt er folgende Meldung..


PHP Warning: PHP Startup: Unable to load dynamic library '/opt/lampp/lib/php/extensions/no-debug-non-zts-20050922/eaccelerator.so' - /opt/lampp/lib/php/extensions/no-debug-non-zts-20050922/eaccelerator.so: undefined symbol: OnUpdateInt in Unknown on line 0


:roll: :?:

Gruß,
Jens
ancoma
 
Posts: 26
Joined: 14. March 2006 21:51
Location: Freiburg

glaube eine Antwort gefunden zu haben...

Postby ancoma » 28. April 2006 10:37

Hallo,
ich glaube die Antowrt auf mein Problem gefunden zu haben,
war mal auf der Projektseite von eAccelerator..

#########################################+
-->
Summary: eAccelerator 0.9.4-rc2 released

Some small problems were fixed since rc1.
This release only contains some bugfixes and code cleanups. This release is still the old codebase. It doesn't contain any new code yet.
- Some fixed were done to the encoder. The format changed a bit so I bumped
up the encoder version. Because the encoder still isn't functional for
php version other than php 4 you should only use this encoder if you want
to have line numbers encoded.
In next versions we will try to fix the encoder for php 5 and 5.1
- eA should be php 5 compatible except some very unusual cases.
- This version DOESN'T support php 5.1

#########################################+

die Antwort ist wohl -> This version DOESN'T support php 5.1

naja dann muß ich halt auf die nächste Version warten..

DANKE für die unterstützung!

Grüße,
Jens
ancoma
 
Posts: 26
Joined: 14. March 2006 21:51
Location: Freiburg


Return to XAMPP für Linux

Who is online

Users browsing this forum: No registered users and 4 guests